<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Ejercicio_25</title>
</head>
<body>
    <h1>Ejercicio 25</h1>

    <script> 

    let cuentas = Array(2500),
    min = 1000,
    max = 5000;

    for (var i = 1; i < 2501; i++ ) {
        cuentas[i] = Math.floor(Math.random() * (max - min) + min);
    }

    const credito = () => {
        let mayorCant = 0,
            menorCant = 5000;

        for (var i = 1; i < 2501; i++ ) {
            console.log(`La Cuenta: ${i} tiene de credito: ${cuentas[i]}`)
            if (cuentas[i] > mayorCant) {
                mayorCant = cuentas[i];
                var cuentaMay = i;                
            } else if (cuentas[i] < menorCant) {
                menorCant = cuentas[i];
                var cuentaMen = i;
            }
        }
        console.log(`La cuenta: ${cuentaMay} posee mayor cantidad con: ${mayorCant} de credito
        y la cuenta: ${cuentaMen} posee menor cantidad con: ${menorCant}`);        
    }
credito();
    </script>
    
    
</body>
</html>